Run of lintian-fixes for japi-compliance-checker

Try this locally (using the lintian-brush package):

debcheckout japi-compliance-checker
cd japi-compliance-checker
lintian-brush --exclude=upstream-metadata-file

Merge these changes:

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 2aa5514..697eb6e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+japi-compliance-checker (2.4-3) UNRELEASED; urgency=medium
+
+  * Bump debhelper from old 11 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Remove unnecessary get-orig-source-target.
+
+ -- Jelmer Vernooń≥ <jelmer@debian.org>  Thu, 21 May 2020 07:14:15 +0000
+
 japi-compliance-checker (2.4-2) unstable; urgency=medium
 
   * Update Vcs- fields from Alioth -> salsa.debian.org
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index b4de394..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-11
diff --git a/debian/control b/debian/control
index 5bad227..f332da4 100644
--- a/debian/control
+++ b/debian/control
@@ -1,7 +1,7 @@
 Source: japi-compliance-checker
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 11), help2man
+Build-Depends: debhelper-compat (= 12), help2man
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Emmanuel Bourg <ebourg@apache.org>,
  tony mancill <tmancill@debian.org>
diff --git a/debian/rules b/debian/rules
index 0de8058..b569736 100755
--- a/debian/rules
+++ b/debian/rules
@@ -24,6 +24,3 @@ override_dh_install:
 override_dh_clean:
 	dh_clean japi-compliance-checker
 	rm -f debian/japi-compliance-checker.1
-
-get-orig-source:
-	uscan --download --force-download --rename

Full worker log